<?php
/**
 * Jamroom jrXDubMusic skin
 *
 * copyright 2017 The Jamroom Network
 *
 * This Jamroom file is LICENSED SOFTWARE, and cannot be redistributed.
 *
 * This Source Code is subject to the terms of the Jamroom Network
 * Commercial License -  please see the included "license.html" file.
 *
 * This module may include works that are not developed by
 * The Jamroom Network
 * and are used under license - any licenses are included and
 * can be found in the "contrib" directory within this skin.
 *
 * This software is provided "as is" and any express or implied
 * warranties, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose are
 * disclaimed.  In no event shall the Jamroom Network be liable for
 * any direct, indirect, incidental, special, exemplary or
 * consequential damages (including but not limited to, procurement
 * of substitute goods or services; loss of use, data or profits;
 * or business interruption) however caused and on any theory of
 * liability, whether in contract, strict liability, or tort
 * (including negligence or otherwise) arising from the use of this
 * software, even if advised of the possibility of such damage.
 * Some jurisdictions may not allow disclaimers of implied warranties
 * and certain statements in the above disclaimer may not apply to
 * you as regards implied warranties; the other terms and conditions
 * remain enforceable notwithstanding. In some jurisdictions it is
 * not permitted to limit liability and therefore such limitations
 * may not apply to you.
 *
 * Jamroom 5 XDubMusic skin
 */

// We are never called directly
if (!defined('APP_DIR')) {
    exit;
}

/**
 * meta
 */
function jrXDubMusic_skin_meta()
{
    $_tmp = array(
        'name'        => 'jrXDubMusic',
        'title'       => 'XDubMusic',
        'version'     => '1.0.0',
        'developer'   => 'The Jamroom Network, &copy;' . strftime('%Y'),
        'description' => 'The XDubMusic skin, for Jamroom',
        'license'     => 'jcl',
        'category'    => 'custom'
    );
    return $_tmp;
}

/**
 * init
 */
function jrXDubMusic_skin_init()
{
    // Bring in all our CSS files
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'html.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'grid.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'site.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'page.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'banner.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'chat.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'header.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'footer.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_element.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_input.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_select.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_layout.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_button.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'form_notice.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'forum.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'list.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'menu.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'table.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'tabs.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'image.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'action.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'profile.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'skin.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'slider.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'text.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'doc.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'slidebar.css');

    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'admin_menu.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'admin_log.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'admin_modal.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'base.css');

    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'tablet.css');
    jrCore_register_module_feature('jrCore', 'css', 'jrXDubMusic', 'mobile.css');

    // Register our Javascript files with the core
    jrCore_register_module_feature('jrCore', 'javascript', 'jrXDubMusic', 'jrXDubMusic.js');

    // Slidebars
    jrCore_register_module_feature('jrCore', 'javascript', 'jrXDubMusic', APP_DIR . '/skins/jrXDubMusic/contrib/slidebars/slidebars.min.js');

    // Tell the core the default icon set to use (black or white)
    jrCore_register_module_feature('jrCore', 'icon_color', 'jrXDubMusic', 'black');
    // Tell the core the size of our action buttons (width in pixels, up to 64)
    jrCore_register_module_feature('jrCore', 'icon_size', 'jrXDubMusic', 24);
    // Hide module icons
    jrCore_register_module_feature('jrCore', 'module_icons', 'jrXDubMusic', 'show', false);

    // Our default media player skins
    jrCore_register_module_feature('jrCore', 'media_player_skin', 'jrXDubMusic', 'jrAudio', 'jrAudio_player_dark');
    jrCore_register_module_feature('jrCore', 'media_player_skin', 'jrXDubMusic', 'jrVideo', 'jrVideo_player_dark');
    jrCore_register_module_feature('jrCore', 'media_player_skin', 'jrXDubMusic', 'jrPlaylist', 'jrPlaylist_player_dark');

    return true;
}
